
Prelude Correlator - Bug #318

can't compile prelude-correlator under openbsd4.3
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: fixed   

Description

When i am trying to compile prelude-correlator beta 3

i am getting these messages:

prelude-correlator.c:48: error: syntax error before "got_signal" 

prelude-correlator.c:48: warning: type defaults to @int' in declaration of @got_signal'

prelude-correlator.c:48: warning: data definition has no type or storage class

prelude-correlator.c: In function @handle_signal_if_needed':

prelude-correlator.c:299: error: @SIGHUP' undeclared (first use in this function)

prelude-correlator.c:299: error: (Each undeclared identifier is reported only once

prelude-correlator.c:299: error: for each function it appears in.)

prelude-correlator.c:304: error: @SIGUSR1' undeclared (first use in this function)

prelude-correlator.c:313: error: @SIGTERM' undeclared (first use in this function)

prelude-correlator.c:313: error: @SIGINT' undeclared (first use in this function)

prelude-correlator.c:313: error: @SIGABRT' undeclared (first use in this function)

prelude-correlator.c: In function @setup_signal':

prelude-correlator.c:382: error: storage size of @action' isn't known

prelude-correlator.c:388: warning: implicit declaration of function @sigemptyset'

prelude-correlator.c:395: warning: implicit declaration of function @sigaction'

prelude-correlator.c:395: error: @SIGTERM' undeclared (first use in this function)

prelude-correlator.c:396: error: @SIGINT' undeclared (first use in this function)

prelude-correlator.c:397: error: @SIGABRT' undeclared (first use in this function)

prelude-correlator.c:398: error: @SIGUSR1' undeclared (first use in this function)

prelude-correlator.c:399: error: @SIGHUP' undeclared (first use in this function)

prelude-correlator.c:382: warning: unused variable @action'

prelude-correlator.c: In function @correlation_plugin_register_signal':

prelude-correlator.c:439: error: storage size of @action' isn't known

prelude-correlator.c:439: warning: unused variable @action'

*** Error code 1

Stop in /root/prelude-correlator-0.9.0-beta3/src (line 92 of /usr/share/mk/sys.mk).

*** Error code 1

Stop in /root/prelude-correlator-0.9.0-beta3/src (line 439 of Makefile).

*** Error code 1

Stop in /root/prelude-correlator-0.9.0-beta3 (line 391 of Makefile).

*** Error code 1

Stop in /root/prelude-correlator-0.9.0-beta3 (line 296 of Makefile).

History

#1 - 09/22/2008 04:07 PM - Yoann VANDOORSELAERE

Could you please try the attached patch, and let us know whether it fixes your problem?

#2 - 09/24/2008 10:49 AM - Yoann VANDOORSELAERE

- Status changed from New to Closed
- Resolution set to fixed

(In r11037) Include signal.h, should fix #318.

#3 - 10/07/2008 12:21 PM - 

I had to do this as well for compiling on Debian Etch.

#4 - 04/29/2009 12:20 PM - Yoann VANDOORSELAERE

- Project changed from PRELUDE SIEM to Prelude Correlator

- Category deleted (11)

- Target version deleted (91)

Files

correlator-openbsd.diff 312 Bytes 09/22/2008 Yoann VANDOORSELAERE
